Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
DirectCameraControl Class Reference
Inheritance diagram for DirectCameraControl:

## Public Member Functions
| __init__ (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
list | actionEvents
| camManipRef = base.direct.group.attachNewNode('camManipRef')
| coa = Point3(0, 100, 0)
| coaMarker = loader.loadModel('models/misc/sphere')
| coaMarkerColorIval = None
| coaMarkerPos = Point3(0)
| coaMarkerRef = base.direct.group.attachNewNode('coaMarkerRef')
list | cqEntries = []
int | fLockCOA = 0
int | lastView = 0
| manipulateCameraInterval = None
| manipulateCameraTask = None
int | nullHitPointCount = 0
float | orthoViewRoll = 0.0
int | startF = 0
float | startT = 0.0
bool | switchDirBelowZero = True

## Static Public Attributes
| notify = DirectNotifyGlobal.directNotify.newCategory('DirectCameraControl')
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Data Documentation

## ◆ actionEvents

list actionEvents

Initial value:
= [
['DIRECT-mouse1', self.mouseRotateStart],
['DIRECT-mouse1Up', self.mouseDollyStop],
['DIRECT-mouse2', self.mouseFlyStart],
['DIRECT-mouse2Up', self.mouseFlyStop],
['DIRECT-mouse3', self.mouseDollyStart],
['DIRECT-mouse3Up', self.mouseDollyStop],
]

## ◆ camManipRef

camManipRef = base.direct.group.attachNewNode('camManipRef')

## ◆ coa

coa = Point3(0, 100, 0)

## ◆ coaMarker

coaMarker = loader.loadModel('models/misc/sphere')

## ◆ coaMarkerColorIval

coaMarkerColorIval = None

## ◆ coaMarkerPos

coaMarkerPos = Point3(0)

## ◆ coaMarkerRef

coaMarkerRef = base.direct.group.attachNewNode('coaMarkerRef')

## ◆ cqEntries

list cqEntries = []

## ◆ fLockCOA

int fLockCOA = 0

## ◆ lastView

int lastView = 0

## ◆ manipulateCameraInterval

manipulateCameraInterval = None

## ◆ manipulateCameraTask

manipulateCameraTask = None

## ◆ notify

notify = DirectNotifyGlobal.directNotify.newCategory('DirectCameraControl')
| static

## ◆ nullHitPointCount

int nullHitPointCount = 0

## ◆ orthoViewRoll

float orthoViewRoll = 0.0

## ◆ startF

int startF = 0

## ◆ startT

float startT = 0.0

## ◆ switchDirBelowZero

bool switchDirBelowZero = True